Bug 483728 - Review Request: kde-plasma-ihatethecashew - Gets rid of the cashew on KDE Workspace
Review Request: kde-plasma-ihatethecashew - Gets rid of the cashew on KDE Wor...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-03 07:17 EST by Eli Wapniarski
Modified: 2011-02-13 08:36 EST (History)
5 users (show)

See Also:
Fixed In Version: kde-plasma-ihatethecashew-0.4-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-25 09:20:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jreznik: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Eli Wapniarski 2009-02-03 07:17:31 EST
Spec URL: http://orbsky.homelinux.org/packages/kde-plasma-ihatethecashew.spec

Spec URL: ftp://orbsky.homelinux.org/pub/packages/kde-plasma-ihatethecashew.spec

SRPM URL: http://orbsky.homelinux.org/packages/kde-plasma-ihatethecashew-0.2b-1.fc10.src.rpm

SRPM URL: ftp://orbsky.homelinux.org/pub/packages/kde-plasma-ihatethecashew-0.2b-1.fc10.src.rpm

Description:

This is my first effort at packaging. It would be greatly appreciated if the package was reviewed.

kde-plasma-ihatethecashew will create a plasmoid widget when added to the workspace will get rid of the "cashew" sitting on the top left of the KDE Workspace.
Comment 1 Jaroslav Reznik 2009-02-03 07:48:31 EST
rpmlint output:

kde-plasma-ihatethecashew.src: E: no-cleaning-of-buildroot %install
- remove mkdir %{buildroot}

kde-plasma-ihatethecashew.src: W: summary-ended-with-dot Removes the KDE Plasma Cashew From the Corner of the Display. 
- remove dot, summary shouldn't end with dot

kde-plasma-ihatethecashew.src: E: description-line-too-long I don't like the cashew (the nasty icon in the right top corner of your plasma desktop
kde-plasma-ihatethecashew.src: E: description-line-too-long that won't go away, even if plasma's locked)... It's impossible to remove this [cashew]
- description is a little weird and full of emotions :) "I don't like..." is not a good description, please rewrite it in more polite and descriptive way. 

kde-plasma-ihatethecashew.x86_64: W: incoherent-version-in-changelog 0.2b ['0.2b-1.fc10', '0.2b-1']
- use release too
* Mon Feb 02 2009 Eli Wapniarski <eli@orbsky.homelinux.org> 0.2b-1

Do not say "My first package" in Changelog, "Initial package" is OK
Comment 2 Jaroslav Reznik 2009-02-03 08:01:46 EST
- use build root consistently - rm -rf $RPM_BUILD_ROOT -> rm -rf ${buildroot}
- license matches COPYING but not ihtc.cpp (LGPLv2 is mentioned in header, should be GPLv2), ask upstream to correct it
Comment 4 Jaroslav Reznik 2009-02-03 09:40:47 EST
Ops, sorry, I missed ${buildroot} - it should be 'rm -rf %{buildroot}'.

rpmlint output:
kde-plasma-ihatethecashew.x86_64: W: summary-ended-with-dot Removes the KDE Plasma Cashew From the Corner of the Display.
- remove dot

PS: check your SPEC, SRPM and RPM by rpmlint before uploading :)
Comment 7 Eli Wapniarski 2009-02-04 03:29:52 EST
So... am I clear to move this to koji?
Comment 8 Jaroslav Reznik 2009-02-04 04:13:21 EST
- rpmlint output is clean - OK
- license is now clear (GPLv2) - OK
- sources md5 - OK
- koji scratch build http://koji.fedoraproject.org/koji/taskinfo?taskID=1103293 - OK
- works as expected - OK

It's OK for me, Rex, it's now your turn.
Comment 9 Eli Wapniarski 2009-02-04 15:50:32 EST
New Package CVS Request
=======================
Package Name: kde-plasma-ihatethecashew
Short Description: Removes the KDE Plasma Cashew From the Corner of the Display
Owners: eliwap
Branches: f-10
InitialCC: jreznik rdieter
Comment 10 Milos Jakubicek 2009-02-04 16:55:37 EST
Eli, please wait for the reviewer to set the proper flag (fedora-review must be "+", a "?" indicates only that the reviewer is going to review the package and should be set right in the beginning).

To Jreznik: If you wanted to approve the package by this comment:

"It's OK for me, Rex, it's now your turn."

please set the proper flag and state that clearly, thanks.
Comment 11 Milos Jakubicek 2009-02-04 17:07:08 EST
Moreover, Eli, please: the GCC flags should be corrected, you can do that in a similar way like I suggested you in the review of kde-plasma-translatoid.
Comment 12 Jaroslav Reznik 2009-02-04 17:29:43 EST
Eli: please be patient :)
Milos: I didn't mean it as approved, we had deal with Rex to check this review and sponsor Eli.
Comment 14 Eli Wapniarski 2009-02-05 01:05:16 EST
Oh.. Jaroslav.. By the way... In case you missed it... Rex has sponsored me.
Comment 15 Jaroslav Reznik 2009-02-05 04:45:08 EST
I'm not sure about flags changes but we can deal with it later - it's not a blocker for me.

APPROVED

Eli, you can move on now ;-)
Comment 16 Eli Wapniarski 2009-02-05 05:25:03 EST
Thanks Jaroslav. Now its up to me to set the fedora-cvs request flag? Correct?
Comment 17 Milos Jakubicek 2009-02-05 10:14:13 EST
Yes, go ahead and set fedora-cvs to "?". Please copy the "New Package CVS Request" to your comment once again so as not to confuse the CVS administrators.
You should also consider an F-9 branch.
Comment 18 Jaroslav Reznik 2009-02-05 10:35:41 EST
(In reply to comment #17)
> Yes, go ahead and set fedora-cvs to "?". Please copy the "New Package CVS
> Request" to your comment once again so as not to confuse the CVS
> administrators.
> You should also consider an F-9 branch.

Thanks for this comment, Eli should request f-9 and f-10 branch.
Comment 19 Jaroslav Reznik 2009-02-05 10:36:45 EST
New Package CVS Request
=======================
Package Name: kde-plasma-ihatethecashew
Short Description: Removes the KDE Plasma Cashew From the Corner of the Display
Owners: eliwap
Branches: f-9 f-10
InitialCC: jreznik rdieter
Comment 20 Eli Wapniarski 2009-02-05 11:59:39 EST
Ahhh... OK. Thanks Jarosalv. I gotcha about the comment. Thanks for doing that for me.

Eli
Comment 21 Kevin Fenzi 2009-02-05 22:11:08 EST
cvs done.
Comment 22 Eli Wapniarski 2009-02-06 04:21:48 EST
OK... I think... I hope... I've managed (it would seem to get everything built successfully for devel F-9  and F-10. Everything is available in koji. under builds. However, under Tags I only see dist-9.

I just want to make sure that I got everything right.
Comment 23 Jaroslav Reznik 2009-02-06 04:53:24 EST
Ok, now you have to fill in new package update in Bodhi for both F-9 and F-10 (not for rawhide).
Comment 24 Eli Wapniarski 2009-02-06 05:21:31 EST
Done. OK... I hope thats that... Wow.. Its a good thing to be able to contribute. But just a thought really... shuoldn't this process be a lot easier. I mean this should be go through a process to make sure you are who you say you are, then submit the appropriate files to the web interface and thats that.

This process is way to convoluted. I feel like my head has been squeezed like a pimple.
Comment 25 Jaroslav Reznik 2009-02-06 06:02:25 EST
You can match this #bz with updates in Bodhi.

Yes, the process is really complicated but many steps are only one time. But this is not a good place to comment it.
Comment 26 Eli Wapniarski 2009-02-06 08:55:24 EST
(In reply to comment #25)
> You can match this #bz with updates in Bodhi.

I'm not quite sure I follow this one. Is this done when I run make update.
Comment 27 Jaroslav Reznik 2009-02-06 09:15:51 EST
In Bodhi you can set bugzilla id and then this review is updated with current state of update and automatically closed once it hit stable repo.
Comment 28 Milos Jakubicek 2009-02-06 11:13:41 EST
I dare to comment on this here as I cannot agree with Jaroslav -- I think that exactly this is the right place and moment to try explaining the things to someone who just submitted his first package(s):

(In reply to comment #24)
> Done. OK... I hope thats that... Wow.. Its a good thing to be able to
> contribute. But just a thought really... shuoldn't this process be a lot
> easier. I mean this should be go through a process to make sure you are who you 
> say you are, then submit the appropriate files to the web interface and thats
> that.

After about a year being a Fedora packager, I think now I understand _why_ the process is so convoluted and, moreover, why it must be so.

> This process is way to convoluted. I feel like my head has been squeezed like a
> pimple.

Yes, I had similar feelings after submitting my first package, but you should distinct between two different areas of complexity:

- Packaging Guidelines -- they are definitely not short and may be seen as too strict, but they are really necessary if we want to keep certain quality level of our packages (and, at least in my opinion, the quality of our packages is a strong point of Fedora compared to other distributions)

- all the technicalities around -- the review process, all the review/cvs flags, Koji, Bodhi, cvs access etc. -- all these things are really not as hard as they might appear for the first time and you'll get used to them. Many of those things are great tools or serve for better communication, you'll (hopefully) see.

Hence, last but not least: thanks for packaging:)!
Comment 29 Jaroslav Reznik 2009-02-06 11:33:16 EST
Milos: you're absolutely right, I agree with every word you've written! But this is review - place to help first time packager, place to review package but not to discuss if the process is good or not. I think correct place for it is devel mailing list.

Thanks for help with review. ;-)
Comment 30 Eli Wapniarski 2009-02-06 12:11:28 EST
Bodhi update done. Thanks to all for their help.

Just a quck comment. I think that since most of the work is done on the server this should be a form / script based process where one complete step triggers the next. I'm sure that I will get used to the process, but really, a simple check mark on a form after a stage is complete should trigger the next stage etc. The whole process once approved takes hours waiting for thing to complete when a simple click on an OK button would do the job with the message processing and email will be sent when completed or check back later. I understand the reason for all the steps. But all the steps are known required steps. This shouldn't be so convoluted.

I agree with Jaroslav and this really isn't the correct forum for a discussion. So I beg that somebody else gets the last word on this. Please so you guys don't think I'm trying to get the last word. Just wanted to write something cause it got stuck in my head.
Comment 31 Fedora Update System 2009-02-07 17:19:21 EST
kde-plasma-ihatethecashew-0.2c-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update kde-plasma-ihatethecashew'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-1444
Comment 32 Fedora Update System 2009-02-07 17:21:45 EST
kde-plasma-ihatethecashew-0.2c-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kde-plasma-ihatethecashew'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1468
Comment 33 Fedora Update System 2009-12-21 01:21:58 EST
kde-plasma-ihatethecashew-0.4-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/kde-plasma-ihatethecashew-0.4-1.fc11
Comment 34 Fedora Update System 2009-12-21 01:22:04 EST
kde-plasma-ihatethecashew-0.4-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/kde-plasma-ihatethecashew-0.4-1.fc12
Comment 35 Fedora Update System 2009-12-24 15:41:45 EST
kde-plasma-ihatethecashew-0.4-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 36 Fedora Update System 2009-12-24 15:45:56 EST
kde-plasma-ihatethecashew-0.4-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 37 Dave Ulrick 2009-12-26 01:23:32 EST
After installing kde-plasma-ihatethecashew-0.4-1.fc11, the cashew reappeared on my desktop.  If I attempt to add the Ihatethecashew widget, I get the message:  "This object could not be created for the following reason:  Could not find requested component: ihatethecashew".  The plasmoid's shared library does in fact exist:

$ rpm -ql kde-plasma-ihatethecashew
/usr/lib/kde4/plasma_applet_ihatethecashew.so
/usr/share/doc/kde-plasma-ihatethecashew-0.4
/usr/share/doc/kde-plasma-ihatethecashew-0.4/COPYING
/usr/share/kde4/services/plasma-applet-ihatethecashew.desktop

$ ls -l /usr/lib/kde4/plasma_applet_ihatethecashew.so
-rwxr-xr-x 1 root root 29056 2009-12-21 00:04 /usr/lib/kde4/plasma_applet_ihatethecashew.so*

Other plasmoids in the /usr/lib/kde4/ directory can be added successfully (e.g., Fuzzy Clock).
Comment 38 Eli Wapniarski 2009-12-26 02:38:05 EST
What happens if you uninstall then reinstall the plasmoid? If that doesn't correct the problem, please open up a bug report and I will pass this along upstream
Comment 39 Dave Ulrick 2009-12-26 09:41:22 EST
The problem reoccurred after uninstall/reinstall so I opened a new bug report.
Comment 40 Fedora Update System 2011-02-04 02:57:19 EST
kde-plasma-ihatethecashew-0.4-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/kde-plasma-ihatethecashew-0.4-2.fc14
Comment 41 Fedora Update System 2011-02-04 02:57:29 EST
kde-plasma-ihatethecashew-0.4-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/kde-plasma-ihatethecashew-0.4-2.fc13
Comment 42 Fedora Update System 2011-02-13 03:48:52 EST
kde-plasma-ihatethecashew-0.4-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 43 Fedora Update System 2011-02-13 03:54:01 EST
kde-plasma-ihatethecashew-0.4-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.